package com.qmth.jkserver.dto.wps;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * @Description: wps参数vo
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2024/5/8
 */
public class WpsParamVo implements Serializable {

    @ApiModelProperty(value = "wps题库id")
    String wpsQuestionId;

    @ApiModelProperty(value = "wps题库原始分数")
    BigDecimal wpsQuestionScore;

    @ApiModelProperty(value = "wps题库原始文件")
    List<WpsAttachmentVo> wpsOperationFile;

    public WpsParamVo() {

    }

    public WpsParamVo(String wpsQuestionId, BigDecimal wpsQuestionScore, List<WpsAttachmentVo> wpsOperationFile) {
        this.wpsQuestionId = wpsQuestionId;
        this.wpsQuestionScore = wpsQuestionScore;
        this.wpsOperationFile = wpsOperationFile;
    }

    public String getWpsQuestionId() {
        return wpsQuestionId;
    }

    public void setWpsQuestionId(String wpsQuestionId) {
        this.wpsQuestionId = wpsQuestionId;
    }

    public BigDecimal getWpsQuestionScore() {
        return wpsQuestionScore;
    }

    public void setWpsQuestionScore(BigDecimal wpsQuestionScore) {
        this.wpsQuestionScore = wpsQuestionScore;
    }

    public List<WpsAttachmentVo> getWpsOperationFile() {
        return wpsOperationFile;
    }

    public void setWpsOperationFile(List<WpsAttachmentVo> wpsOperationFile) {
        this.wpsOperationFile = wpsOperationFile;
    }
}
